Package com.sas.lsaf.core

## Class ValidationResult

- java.lang.Object
- - com.sas.lsaf.core.ValidationResult

- All Implemented Interfaces:
    `java.io.Serializable`

      public class ValidationResult
      extends java.lang.Object
      implements java.io.Serializable

  The class that represents validation results from performing an import or export. The validation result includes errors, notes, or warnings.
  Since:
    2.4
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ValidationResult​(java.util.List<ValidationMessage> errors, java.util.List<ValidationMessage> warnings, java.util.List<ValidationMessage> notes, java.lang.String runBy, java.util.Date runDate)` | It is not intended or recommended that the consumer of this API construct these objects.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.util.List<ValidationMessage>` | `getErrors()` | Gets the error information generated by the validation.
    `java.util.List<ValidationMessage>` | `getNotes()` | Gets the note information generated by the validation.
    `java.lang.String` | `getRunBy()` | Gets the user who performed the validation.
    `java.util.Date` | `getRunDate()` | Gets the date when the validation was performed.
    `java.util.List<ValidationMessage>` | `getWarnings()` | Gets the warning information generated by the validation.
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ValidationResult

          public ValidationResult​(java.util.List<ValidationMessage> errors,
                                  java.util.List<ValidationMessage> warnings,
                                  java.util.List<ValidationMessage> notes,
                                  java.lang.String runBy,
                                  java.util.Date runDate)

      It is not intended or recommended that the consumer of this API construct these objects. They should only deal with the validation results returned by the API.
      Parameters:
        `errors` - The validation error messages generated by the validation.
        `warnings` - The validation warning messages generated by the validation.
        `notes` - The validation note messages generated by the validation.
        `runBy` - The user who performed the validation.
        `runDate` - The date when the validation was performed.

  - ### Method Detail

    - #### getRunDate

          public java.util.Date getRunDate()

      Gets the date when the validation was performed.
      Returns:
        The date when the validation was performed.

    - #### getRunBy

          public java.lang.String getRunBy()

      Gets the user who performed the validation.
      Returns:
        The user who performed the validation.

    - #### getErrors

          public java.util.List<ValidationMessage> getErrors()

      Gets the error information generated by the validation.
      Returns:
        The validation message generated by the validation.

    - #### getWarnings

          public java.util.List<ValidationMessage> getWarnings()

      Gets the warning information generated by the validation.
      Returns:
        The validation message generated by the validation.

    - #### getNotes

          public java.util.List<ValidationMessage> getNotes()

      Gets the note information generated by the validation.
      Returns:
        The validation message generated by the validation.

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`